net.minecraft.entity.ai

## Class EntityAITarget

- java.lang.Object
- - net.minecraft.entity.ai.EntityAIBase
  - - net.minecraft.entity.ai.EntityAITarget

- Direct Known Subclasses:
    EntityAIDefendVillage, EntityAIHurtByTarget, EntityAINearestAttackableTarget, EntityAIOwnerHurtByTarget, EntityAIOwnerHurtTarget

      public abstract class EntityAITarget
      extends EntityAIBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityAITarget(EntityLiving par1EntityLiving, float par2, boolean par3)`
    `EntityAITarget(EntityLiving par1EntityLiving, float par2, boolean par3, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
    `void` | `resetTask()` Resets the task
    `void` | `startExecuting()` Execute a one shot task or start executing a continuous task

    - ### Methods inherited from class net.minecraft.entity.ai.EntityAIBase

      `getMutexBits, isContinuous, setMutexBits, shouldExecute, updateTask`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityAITarget

          public EntityAITarget(EntityLiving par1EntityLiving,
                        float par2,
                        boolean par3)

    - #### EntityAITarget

          public EntityAITarget(EntityLiving par1EntityLiving,
                        float par2,
                        boolean par3,
                        boolean par4)

  - ### Method Detail

    - #### continueExecuting

          public boolean continueExecuting()

      Returns whether an in-progress EntityAIBase should continue executing
      Overrides:
        `continueExecuting` in class `EntityAIBase`

    - #### startExecuting

          public void startExecuting()

      Execute a one shot task or start executing a continuous task
      Overrides:
        `startExecuting` in class `EntityAIBase`

    - #### resetTask

          public void resetTask()

      Resets the task
      Overrides:
        `resetTask` in class `EntityAIBase`